package com.qmth.cqb.paper.model;

import java.io.Serializable;
import java.util.Date;

import org.springframework.data.annotation.Id;

import cn.com.qmth.examcloud.common.dto.em.enums.ExamType;

import com.qmth.cqb.utils.enums.ExamFileType;

/**
 * @author  	chenken
 * @date    	2017年7月13日 下午4:22:24
 * @company 	QMTH
 * @description 考试文件
 */
public class ExamFile implements Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = 7565454762976257111L;

	@Id
	private String id;
	
	/**
	 * 考试ID
	 */
	private String examId;
	/**
	 * 考试名称
	 */
	private String examName;
	/**
	 * 考试类型
	 */
	private ExamType examType;
	/**
	 * 课程ID
	 */
	private String courseId;
	/**
	 * 课程名称
	 */
	private String courseName;
	/**
	 * 文件类型
	 * 		试卷
	 * 		答案
	 * 		试卷结构
	 * 		音频文件
	 */
	private ExamFileType examFileType;
	/**
	 * 文件存储路径
	 */
	private String filePath;
	
	private String createUser;

    private Date createTime;
    
    private String updateUser;

    private Date updateTime;

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public String getExamId() {
		return examId;
	}

	public void setExamId(String examId) {
		this.examId = examId;
	}

	public String getExamName() {
		return examName;
	}

	public void setExamName(String examName) {
		this.examName = examName;
	}

	public ExamType getExamType() {
		return examType;
	}

	public void setExamType(ExamType examType) {
		this.examType = examType;
	}

	public String getCourseId() {
		return courseId;
	}

	public void setCourseId(String courseId) {
		this.courseId = courseId;
	}

	public String getCourseName() {
		return courseName;
	}

	public void setCourseName(String courseName) {
		this.courseName = courseName;
	}

	public ExamFileType getExamFileType() {
		return examFileType;
	}

	public void setExamFileType(ExamFileType examFileType) {
		this.examFileType = examFileType;
	}

	public String getFilePath() {
		return filePath;
	}

	public void setFilePath(String filePath) {
		this.filePath = filePath;
	}

	public String getCreateUser() {
		return createUser;
	}

	public void setCreateUser(String createUser) {
		this.createUser = createUser;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public String getUpdateUser() {
		return updateUser;
	}

	public void setUpdateUser(String updateUser) {
		this.updateUser = updateUser;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}
    
}

