package com.qmth.cqb.paper.service.impl;

import java.util.Date;
import java.util.List;

import org.apache.commons.lang3.StringUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Example;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;
import org.springframework.stereotype.Service;

import cn.com.qmth.examcloud.common.uac.entity.AccessUser;

import com.qmth.cqb.paper.dao.ExportStructureRepo;
import com.qmth.cqb.paper.model.ExportStructure;
import com.qmth.cqb.paper.service.ExportStructureService;

/**
 * @author  	chenken
 * @date    	2017年7月12日 下午4:26:49
 * @company 	QMTH
 * @description ExportStructureServiceImpl.java
 */
@Service("exportStructureService")
public class ExportStructureServiceImpl implements ExportStructureService {

	@Autowired
	private ExportStructureRepo exportStructureRepo;
	
	@Override
	public void saveExportStructure(ExportStructure exportStructure,AccessUser user) {
		if(StringUtils.isBlank(exportStructure.getId())){
			exportStructure.setCreateUser(user.getName());
			exportStructure.setCreateTime(new Date());
		}else{
			exportStructure.setUpdateUser(user.getName());
			exportStructure.setUpdateTime(new Date());
		}
		exportStructureRepo.save(exportStructure);
	}

	@Override
	public ExportStructure findByExportStructure(ExportStructure exportStructure) {
		List<ExportStructure> exportStructures = exportStructureRepo.findAll(Example.of(exportStructure));
		if(exportStructures.size()>0){
			return exportStructures.get(0);
		}
		return null;
	}

	@Override
	public Page<ExportStructure> findPageByExportStructure(ExportStructure exportStructure, int curPage, int pageSize) {
		Page<ExportStructure> list = exportStructureRepo.findAll(Example.of(exportStructure), new PageRequest(curPage - 1, pageSize));
		return list;
	}
	
}

