package com.qmth.cqb.paper.web;

import javax.servlet.http.HttpServletRequest;

import io.swagger.annotations.ApiOperation;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.domain.Page;
import org.springframework.http.HttpStatus;
import org.springframework.http.ResponseEntity;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

import cn.com.qmth.examcloud.common.uac.entity.AccessUser;

import com.qmth.cqb.paper.model.ExportStructure;
import com.qmth.cqb.paper.service.ExportStructureService;

/**
 * @author  	chenken
 * @date    	2017年7月12日 下午4:28:55
 * @company 	QMTH
 * @description ExportStructureController.java
 */
@Controller
@RequestMapping("${api_cqb}/")
public class ExportStructureController {
	
	@Autowired
	private ExportStructureService exportStructureService;
	
	@ApiOperation(value = "保存导出结构", notes = "保存导出结构")
    @PostMapping(value = "/saveExportStructure")
	public ResponseEntity saveExportStructure(HttpServletRequest request,@RequestBody ExportStructure exportStructure){
		try{
			AccessUser user = (AccessUser) request.getAttribute("accessUser");
			exportStructureService.saveExportStructure(exportStructure,user);
			return new ResponseEntity(HttpStatus.OK);
		}catch(Exception e){
			return new ResponseEntity(HttpStatus.INTERNAL_SERVER_ERROR);
		}
	}
	
	@ApiOperation(value = "分页查询导出结构", notes = "分页查询导出结构")
    @PostMapping(value = "/findPageByExportStructure/{curPage}/{pageSize}")
	public ResponseEntity findPageByExportStructure(@PathVariable int curPage,
													@PathVariable int pageSize,
													@RequestBody ExportStructure exportStructure){
		try{
			Page<ExportStructure> pageExportStructure = exportStructureService.findPageByExportStructure(exportStructure, curPage, pageSize);
			return new ResponseEntity(pageExportStructure,HttpStatus.OK);
		}catch(Exception e){
			return new ResponseEntity(HttpStatus.INTERNAL_SERVER_ERROR);
		}
	}
	
}

